import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { INDayOfWeekOptions } from "./INDayOfWeekOptions.js";
import type { INRecurrenceFrequency } from "./INRecurrenceFrequency.js";
export declare class _INRecurrenceRule extends _NSObject {
    static alloc(): _INRecurrenceRule;
    static new(): _INRecurrenceRule;
    init(): _INRecurrenceRule;
    initWithInterval$frequency$(interval: number, frequency: INRecurrenceFrequency): _INRecurrenceRule;
    initWithInterval$frequency$weeklyRecurrenceDays$(interval: number, frequency: INRecurrenceFrequency, weeklyRecurrenceDays: INDayOfWeekOptions): _INRecurrenceRule;
    interval(): number;
    frequency(): INRecurrenceFrequency;
    weeklyRecurrenceDays(): INDayOfWeekOptions;
}
export interface _INRecurrenceRule extends _NSCopying, _NSSecureCoding {
}
